#!/bin/bash

set -o errexit
set -o nounset
# e.g: time=1634763908981 kafka.server:type=KafkaServer,name=BrokerState:Value=3
JMX_PORT=""
ret=$(/opt/kafka/bin/kafka-run-class.sh kafka.tools.JmxTool \
    --jmx-url service:jmx:rmi:///jndi/rmi://127.0.0.1:{{ .Values.service.jmxPort }}/jmxrmi \
    --object-name kafka.server:name=BrokerState,type=KafkaServer \
    --attributes Value \
    --one-time true \
    --report-format properties 2>/dev/null)

# "3" means running as a broker: https://github.com/apache/kafka/blob/2.6.2/core/src/main/scala/kafka/server/BrokerStates.scala#L62
if [[ "$ret" == *"kafka.server:type=KafkaServer,name=BrokerState:Value=3"* ]]; then
    exit 0
else
    exit 1
fi
